#include <stdio.h>

// test case for patch 69fdb57eddd00c592828605819f0678522d346c6
// Author: grischka <grischka>
// Date:   Wed Jun 17 02:09:07 2009 +0200
//     unions: initzialize only one field
//         struct {
//           union {
//             int a,b;
//           };
//           int c;
//         } sss = { 1,2 };
//     This had previously assigned 1,2 to a,b and 0 to c which is wrong.
//
// Expected: sss.a=1 sss.b=1 sss.c=2

int main()
{
    struct {
      union {
        int a;
        int b;
      };
      struct {} s;
      struct { int d; } c;
    } sss = { 1, {}, 2 };

    printf ("sss.a=%d sss.b=%d sss.c=%d\n", sss.a, sss.b, sss.c);
    printf ("sizeof(sss)=%d\n", sizeof(sss));
    return 0;
}
